Delete a Single Layer User ID Override
Removes a single user ID from the matching layer userID override bucket. Idempotent: returns 200 even when the user ID is not currently overridden.
Removes a single user ID from the matching layer userID override bucket. Idempotent: returns 200 even when the user ID is not currently overridden.
https://statsigapi.net/console/v1/layers/{id}/overrides/userID/{userID}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredLayer name
userIDstringrequiredUser ID to remove from the override
Query parameters
groupNamestringrequiredExperiment group the override targets
experimentNamestringrequiredExperiment within the layer that owns the override
idTypestringThe unit type of the override. Defaults to the experiment unit type when omitted.
environmentstringEnvironment the override is scoped to. Omit to target the override that applies to all environments.
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
conditionalOverridesobject[]requiredtypestringrequiredDescribes whether layer override is segment or gate
namestringrequiredName of override entity
experimentNamestringrequiredgroupNamestringrequiredenvironmentstringOptional environment scope (e.g. production, staging). Omit or pass null to target the all-environments bucket.
nullableidOverridesobject[]requiredgroupNamestringrequiredGroup that ID is overriden into
idsstring[]requiredID being overriden into a particular group
idTypestringnullableenvironmentstringnullableexperimentNamestringnullablestatusintegerrequired401messagestringrequiredstatusintegerrequired404messagestringrequiredWas this helpful?